function lam = Bowl(N)

%BOWL Generate bowl image.
%   x = bowl(N) generates an N X N image of a quadratic bowl 
%   with a quadratic hump in its middle.

x = repmat(linspace(-1,1,N),N,1);y=x';

A = [1 0 0 2 2 0]; 
f1 = A(1) + A(2)*x + A(3)*y + A(4)*x.*x + A(5)*y.*y + A(6)*x.*y;

B = [1.8 0 0 -16 -16 0]; 
f2 = B(1) + B(2)*x + B(3)*y + B(4)*x.*x + B(5)*y.*y + B(6)*x.*y;

d = (x.^2+y.^2).^0.5;
f = (d>1/2).*f1 + (d<=1/2).*f2;
f = f-min(min(f));

f = f/mean(mean(f));

lam = f;
